Retrieve the wallet
curl --request GET \
--url https://partners.chargeexpressltd.com/api/public/v1/wallet \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners.chargeexpressltd.com/api/public/v1/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners.chargeexpressltd.com/api/public/v1/wallet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "wallet",
"id": "<string>",
"balance_kwh": "12.5000",
"reserved_kwh": "12.5000",
"available_kwh": "12.5000",
"debt_kwh": "12.5000",
"debt": "125.50",
"credit_limit": "125.50",
"credit_available": "125.50",
"currency": "GHS",
"updated_at": "2023-11-07T05:31:56Z",
"unit_price": "<string>",
"max_charging_kwh": "<string>"
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Wallet
Retrieve the wallet
Requires the fleet:read scope.
GET
/
wallet
Retrieve the wallet
curl --request GET \
--url https://partners.chargeexpressltd.com/api/public/v1/wallet \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners.chargeexpressltd.com/api/public/v1/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners.chargeexpressltd.com/api/public/v1/wallet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "wallet",
"id": "<string>",
"balance_kwh": "12.5000",
"reserved_kwh": "12.5000",
"available_kwh": "12.5000",
"debt_kwh": "12.5000",
"debt": "125.50",
"credit_limit": "125.50",
"credit_available": "125.50",
"currency": "GHS",
"updated_at": "2023-11-07T05:31:56Z",
"unit_price": "<string>",
"max_charging_kwh": "<string>"
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Authorizations
Your fleet API key, e.g. Authorization: Bearer cxk_live_…. Create keys in the fleet portal under Developers.
Response
Success
Available options:
wallet Prepaid kWh
Example:
"12.5000"
Held by sessions in progress
Example:
"12.5000"
Prepaid kWh not held
Example:
"12.5000"
kWh charged on credit and not yet repaid
Example:
"12.5000"
Outstanding credit, GHS
Example:
"125.50"
GHS
Example:
"125.50"
GHS
Example:
"125.50"
Available options:
GHS 
